Bug 3430 - globus_gssapi_gsi_test fails to execute
: globus_gssapi_gsi_test fails to execute
Status: RESOLVED FIXED
: GSI C
Authentication
: 4.0.0
: PC Linux
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-05-31 07:33 by
Modified: 2008-08-11 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-31 07:33:54
globus_gssapi_gsi_test tests in $GLOBUS_LOCATION/test/globus_gssapi_gsi_test 
directory fail to execute with the following errors.

$ ./TESTS.pl
gssapi-anonymous-test.................Subroutine main::getcwd redefined 
at /usr/lib/perl5/5.8.5/Exporter.pm line 65.
 at gssapi-anonymous-test.pl line 15
# Test 1 got: "Test produced unexpected output, see gssapi-anonymous-
test.log.stdout" (gssapi-anonymous-test.pl at line 73)
#   Expected: "success"
#  gssapi-anonymous-test.pl line 73 is:       ok($errors, 'success');
FAILED test 1
        Failed 1/1 tests, 0.00% okay
gssapi-delegation-test................Subroutine main::getcwd redefined 
at /usr/lib/perl5/5.8.5/Exporter.pm line 65.
 at gssapi-delegation-test.pl line 15
# Test 1 got: "Test produced unexpected output, see gssapi-delegation-
test.log.stdout" (gssapi-delegation-test.pl at line 73)
#   Expected: "success"
#  gssapi-delegation-test.pl line 73 is:       ok($errors, 'success');
FAILED test 1
        Failed 1/1 tests, 0.00% okay
gssapi-limited-delegation-test........Subroutine main::getcwd redefined 
at /usr/lib/perl5/5.8.5/Exporter.pm line 65.
 at gssapi-limited-delegation-test.pl line 15
# Test 1 got: "Test produced unexpected output, see gssapi-limited-delegation-
test.log.stdout" (gssapi-limited-delegation-test.pl at line 82)
#   Expected: "success"
#  gssapi-limited-delegation-test.pl line 82 is:       ok($errors, 'success');
FAILED test 1
        Failed 1/1 tests, 0.00% okay
gssapi-delegation-compat-test.........Subroutine main::getcwd redefined 
at /usr/lib/perl5/5.8.5/Exporter.pm line 65.
 at gssapi-delegation-compat-test.pl line 15
# Test 1 got: "Test produced unexpected output, see gssapi-delegation-compat-
test.log.stdout" (gssapi-delegation-compat-test.pl at line 73)
#   Expected: "success"
#  gssapi-delegation-compat-test.pl line 73 is:       ok($errors, 'success');
FAILED test 1
        Failed 1/1 tests, 0.00% okay
gssapi-acquire-test...................Subroutine main::getcwd redefined 
at /usr/lib/perl5/5.8.5/Exporter.pm line 65.
 at gssapi-acquire-test.pl line 6
ok
gssapi-context-test...................Subroutine main::getcwd redefined 
at /usr/lib/perl5/5.8.5/Exporter.pm line 65.
 at gssapi-context-test.pl line 15
ok
gssapi-expimp-test....................Subroutine main::getcwd redefined 
at /usr/lib/perl5/5.8.5/Exporter.pm line 65.
 at gssapi-expimp-test.pl line 6
ok
gssapi-inquire-sec-ctx-by-oid-test....Subroutine main::getcwd redefined 
at /usr/lib/perl5/5.8.5/Exporter.pm line 65.
 at gssapi-inquire-sec-ctx-by-oid-test.pl line 6
ok
Failed 4/8 test scripts, 50.00% okay. 4/8 subtests failed, 50.00% okay.
Failed Test                       Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
gssapi-anonymous-test.pl                         1    1 100.00%  1
gssapi-delegation-compat-test.pl                 1    1 100.00%  1
gssapi-delegation-test.pl                        1    1 100.00%  1
gssapi-limited-delegation-test.pl                1    1 100.00%  1
------- Comment #1 From 2005-09-09 17:35:59 -------
fix committed to trunk and 4_0_branch